/***************************************************************

Craig Flory
CS307-01
Object Oriented Programming with C++
Instructor: Jagdish Bansiya
Fall Semester 1995

Date:    04 Dec 1995
Project: Language Interpreter

Program Abstract:
    This program is a language interpreter, written in C++, that
    simulates the execution of a program written in the COOL
    language. The interpreter executes one COOL instruction at
    at time and stops at the first error it encounters.

    All COOL programs use the same variables. The names of these
    variables are the letters A - J (with extensions possible).

    The interpreter inputs a COOL program from the user, simulates
    its execution and outputs the values of all variables at
    the programs end.    

References:
(1) Weiskamp, Keith & Flamig Bryan, "The Complete C++ Primer"
(2) Standish, Thomas, "Data Structures, Algorithms, and Software
    Principles in C"

*****************************************************************/


/*** INCLUDE FILES ***/

#include <stdio.h>

#include "cool.h"
#include "inproc.h"     // Program Menu
     


/**********************************************************/
//////////////           MAIN ROUTINE         //////////////
/**********************************************************/

void main( int argc, char *argv[] )
{

class InputProc *input;


    input = new InputProc();
    input->Process( argc, argv );

return;

} // END MAIN()
