/***************************************************************

Craig Flory
CS307-01
Object Oriented Programming with C++
Instructor: Jagdish Bansiya
Fall Semester 1995

Date:    04 Dec 1995
Project: Language Interpreter

Base Class:  Instruction
Sub Class :  Conditional 
Class     :  IFThenElse
Member    :  ~IfThenElse()
Abstract  :  Destructor
    
References:
(1) Weiskamp, Keith & Flamig Bryan, "The Complete C++ Primer"
(2) Class Notes
(3) Standish, Thomas, "Data Structures, Algorithms, and Software
    Principles in C"

*****************************************************************/

/*** INCLUDE FILES ***/

#include <stdio.h>
       
#include "instruc.h"

    
IfThenElse::~IfThenElse( void )
{

class Instruction *iptr;
class Instruction *curr_iptr;


    iptr = if_condition;

    while( iptr )
    {
        curr_iptr = iptr;
        iptr = iptr->GetNext();
        delete curr_iptr;
    }
    
    iptr = else_condition;

    while( iptr )
    {
        curr_iptr = iptr;
        iptr = iptr->GetNext();
        delete curr_iptr;
    }

return;
}
