/***************************************************************

Craig Flory
CS307-01
Object Oriented Programming with C++
Instructor: Jagdish Bansiya
Fall Semester 1995

Date:    04 Dec 1995
Project: Language Interpreter

Base Class:  Instruction
Sub Class :  Sequential 
Class     :  Multiply
Member    :  SetParams()
Abstract  :  
    Validate and set the parameters for this instruction.
    
References:
(1) Weiskamp, Keith & Flamig Bryan, "The Complete C++ Primer"
(2) Class Notes
(3) Standish, Thomas, "Data Structures, Algorithms, and Software
    Principles in C"

*****************************************************************/


/*** INCLUDE FILES ***/

#include <stdio.h>
       
#include "instruc.h"
#include "cool.h"

    
int Multiply::SetParams( char *params[] )
{

int status = SUCCESS;

status = 
    GetDataIndex( params[0], index1 );
if( status != SUCCESS ) return( status);

status = 
    GetDataInt( params[1], long1 );
if( status != SUCCESS ) return( status );

status = 
    GetDataInt( params[2], long2 );
if( status != SUCCESS ) return( status );


return( status );
}
