/***************************************************************

Craig Flory
CS307-01
Object Oriented Programming with C++
Instructor: Jagdish Bansiya
Fall Semester 1995

Date:    04 Dec 1995
Project: Language Interpreter

Class:    Stack
Method:   ~Stack()
Abstract: Destructor
   

****************************************************************/

#include <stdio.h>

#include "cool.h"
#include "inproc.h"


Stack::~Stack( void )
{
StackNode *node_ptr;
StackNode *next_ptr;

    if( Empty() || list == NULL ) return;

    node_ptr = list;

    while( num_nodes > 0 && node_ptr )
    {
        next_ptr = node_ptr->GetNextPtr();
        delete node_ptr;
        node_ptr = next_ptr;
        --num_nodes;
    }

    num_nodes = 0;
    list = NULL;
}
