/***************************************************************

Craig Flory
CS307-01
Object Oriented Programming with C++
Instructor: Jagdish Bansiya
Fall Semester 1995

Date:    04 Dec 1995
Project: Language Interpreter

Base Class:  Instruction
Sub Class :  Sequential 
Class     :  Subtract
Member    :  Execute
Abstract  :  
    Subtract from data variable value at index1 either the long1
    value, or if index2 is used, the data variable value
    at index2.
    
References:
(1) Weiskamp, Keith & Flamig Bryan, "The Complete C++ Primer"
(2) Class Notes
(3) Standish, Thomas, "Data Structures, Algorithms, and Software
    Principles in C"

*****************************************************************/


/*** INCLUDE FILES ***/

#include <stdio.h>
       
#include "cool.h"
#include "instruc.h"
#include "data.h"

    
int Subtract::Execute( class Data &data ) 
{ 
        
    if( index2 == COOL_INDEX_UNASSIGNED )
        data[index1] -= long1;
    else
        data[index1] -= data[index2];
        
return(SUCCESS);
}
