
/***************************************************************

Craig Flory
CS307-01
Object Oriented Programming with C++
Instructor: Jagdish Bansiya
Fall Semester 1995

Date:    04 Dec 1995
Project: Language Interpreter

File: instr.h
Abstract: 
    Contains each class definition and any other defines
    required by the Instruction Base Class.

****************************************************************/

#ifndef INSTR_INC_H
#define INSTR_INC_H

/**********************/
/***  HEADER FILES  ***/
/**********************/

/* system */

#include <memory.h>
#include <stdio.h>
#include <string.h>

#include <ctype.h>
#include <iostream.h>

/* local */


/*****************/
/***  DEFINES  ***/
/*****************/


/*****************/
/***  CLASSES  ***/
/*****************/

////////////////////////////////////////////////////////////////
//  CLASS -   //
//////////////////////////

// Class describing a

class 
{
private:

    // Properties/Attributes

   
    char  message[ MAX_MESSAGE_LEN ];


    // Member Functions


public:

    //////////////////////////
    // Constructor & Destructor

    ( void ) {;}
    ~( void ) {;}

    /////////////////////////
    // Overloaded Functions

    // inline - overload + (addition) operator


    /////////////////////////
    // Access Functions
    


    inline void GetMessage( char msg[] ) { strcpy( msg, message ); }

};


#endif
