
// File name: cool.cpp
// The function of cool is to interface with the interpreter class
// and interface with the Menu class to display any error messages

#include "cool.h"
data vars;
interpreter interpret;
short loop_flg = NO_LOOP;		
short selection_flg = EXECUTE;

void main(int argc,char* argv[])
{
	int line_count = 0;
	Menu menu_1;
	int status = SUCCESS;

 //	setup for exception handling 
	try
	{
		if(argc == 2)
			status = interpret.process(menu_1,argv[1],line_count);
		else
			status = interpret.process(menu_1,line_count);
	}
 //	implement exception handling for integer overflows
	catch( Overflow O)
	{
		cout << "integer overflow on line " << line_count << "\n";
		status = OUT_OF_RNG;
	}
	if(status != SUCCESS)menu_1.display_error_msg(status,line_count);
};