
// File name:  while.cpp
// Author:   Rebecca Barry
// Purpose:  provides the implementation of the methods of the whilene and endwhile classes

#include "cool.h"
extern short loop_flg;

// *************** class endwhile methods  **********************//
//
int endwhile::check_syntax(char* string)
{
	int n = 0;
	int status = SUCCESS;
	boolean more_to_follow = FALSE;

	//determine if there is more entered after the ENDWHILE
	if(strlen(string) > 8)
		status = INVALID_SYNTAX;
	return status;
};

void endwhile::execute(void)
{
	// We may be skipping this loop; test to see if there is a loop
	if(loop_flg)
		loop_flg = PROCESS_LOOP;
};
