/***************************************************************

Craig Flory
CS307-01
Object Oriented Programming with C++
Instructor: Jagdish Bansiya
Fall Semester 1995

Date:    04 Dec 1995
Project: Language Interpreter

Base Class:  Instruction
Sub Class :  Sequential 
Class     :  LoopWhile
Member    :  AddInstruction()
Abstract  :  
    Add an instruction to the loop list of instructions.
    
References:
(1) Weiskamp, Keith & Flamig Bryan, "The Complete C++ Primer"
(2) Standish, Thomas, "Data Structures, Algorithms, and Software
    Principles in C"

*****************************************************************/


/*** INCLUDE FILES ***/

#include <stdio.h>

#include "instruc.h"


int LoopWhile::AddInstruction( class Instruction *instruc )
{

class Instruction *iptr;


iptr = next;

while( iptr != NULL ) ++iptr;

iptr = instruc;


return( SUCCESS );
}
