/***************************************************************

Craig Flory
CS307-01
Object Oriented Programming with C++
Instructor: Jagdish Bansiya
Fall Semester 1995

Date:    04 Dec 1995
Project: Language Interpreter

Base Class:  Instruction
Sub Class :  Sequential 
Class     :  End
Member    :  Execute
Abstract  :  
    End of program instruction. Print out all values
    of the data variables.
    
References:
(1) Weiskamp, Keith & Flamig Bryan, "The Complete C++ Primer"
(2) Class Notes
(3) Standish, Thomas, "Data Structures, Algorithms, and Software
    Principles in C"

*****************************************************************/


/*** INCLUDE FILES ***/

#include <stdio.h>
#include <iostream.h>
       
#include "instruc.h"
#include "data.h"

    
int End::Execute( class Data &data )
{
 

cout << endl; 
cout << INSTR_END_HEADING_STR << endl;
cout << INSTR_END_DELIMIT_STR << endl;
cout << flush;

data.Print();

cout << endl;
cout << flush;

return(SUCCESS);
}
