/**************************************************************
Date: 24 Oct 1995

Craig Flory
CS307-01
Object Oriented Programming with C++
Instructor: Jagdish Bansiya
Fall Semester 1995

Program 3: Memory Manager

Class:    InputProc
Method:   GetInstrucPtr()
Abstract: Pops an instruction pointer from the stack.

**************************************************************/

/*** INCLUDE FILES ***/

#include <stdio.h>

#include "inproc.h"
#include "instruc.h"      


int InputProc::GetInstrucPtr( class Instruction **iptr )
{

int  status = SUCCESS;


status = instruc_stack->Pop( iptr );

if( status != SUCCESS )
    instruc_stack->GetMessage( message );

return( status );
}


