/**************************************************************
Date: 24 Oct 1995

Craig Flory
CS307-01
Object Oriented Programming with C++
Instructor: Jagdish Bansiya
Fall Semester 1995

Program 3: Memory Manager

Class:    InputProc
Method:   ValidateInput()
Abstract: 
    Strip leading white space on input and validate 
    that its not NULL.

**************************************************************/

/*** INCLUDE FILES ***/

#include <stdio.h>
#include <string.h>
#include <ctype.h>

#include "inproc.h"      


int InputProc::ValidateInput( char *io_str )
{

char  *strptr;

    strptr = io_str;
    if( isspace(*strptr) ) // strip leading white space
    {
        while( isspace(*strptr) ) ++strptr; 
        strcpy( io_str, strptr );
    }

    if( !strlen(io_str) ) 
    { 
        sprintf( message, "\n%s", WARN_INPUT_EMPTY_STR );
        return ( WARN_INPUT_EMPTY );
    }

return( SUCCESS );
}


