
// File name:  copy.cpp
// Author:   Rebecca Barry
// Purpose:  provides the implementation of the methods of the assign class

#include "cool.h"
extern interpreter interpret;

//********************** check_syntax method  ***********************
int copy::check_syntax(char* string)
{
	char var;
	char delimeter1 = '(';
	char delimeter2 = ',';
	char *ptr;
	int len = 0;
	int status = SUCCESS;

	//determine the variable that we will assign 
	status = interpret.parse_variable(string, delimeter1,
																		delimeter2,var);
	if(status == SUCCESS)
	{
		//determine the variable index of the variable
		status = interpret.set_var_index(var,variable_index1);
		if(status == SUCCESS)
		{
    	//determine the value that we will assign to the variable
			delimeter1 = ',';
			delimeter2 = ')';
			status = interpret.parse_variable(string, delimeter1,
																				delimeter2,var);
			if(status == SUCCESS)
			{
				//determine the variable index of the variable
				status = interpret.set_var_index(var,variable_index2);
			}
		}
	}
	if (status == SUCCESS)
	//  Make sure that there is no garbage after the instruction
	{
		ptr = strchr(string,')');
		len = strlen(string) - 1;
		if((ptr - string) != len)status = INVALID_SYNTAX;
	}
	return status;
};






