
// File name:  mul.cpp
// Author:   Rebecca Barry
// Purpose:  provides the implementation of the methods of the mul class


#include "cool.h"
extern data vars;

//********************** execute method  ***********************

void mul::execute(void)
{ 
	if(variable_index2 > -1)
		// Test for integer overflow
		if(double(vars.variables[variable_index1]) * 
			 double(vars.variables[variable_index2]) < INT_MIN ||
		   (double(vars.variables[variable_index1]) *
				double(vars.variables[variable_index2])) > INT_MAX)
				// Implement exception handling for integer overflow
				throw Overflow();
		else
			vars.variables[variable_index1] = vars.variables[variable_index1] * vars.variables[variable_index2];
	else
		// Test for integer overflow
		if((double(vars.variables[variable_index1]) * double(value)) < INT_MIN ||
		   (double(vars.variables[variable_index1]) * double(value)) > INT_MAX)
				// Implement exception handling for integer overflow
				throw Overflow();
		else
			vars.variables[variable_index1] = vars.variables[variable_index1] * value;
};




