
// File name:  var.cpp
// Author:   Rebecca Barry
// Purpose:  provides the implementation of the methods of the data and var classes

#include "cool.h"
extern data vars;
extern interpreter interpret;

//********************** data methods  ***********************
//********************** constructor method  ***********************
data::data(void)
{ 
	int i;
	for (i = 0; i < 52; i++) variables[i] = 0; 
			
//Variables A-J, inclusive, are available without declaration
// Set the "declared" flag for variables A-J, inclusive
	for (i = 0; i < 10; i++) declared_flg[i] = VAR_DECLARED;

// Set the other potential variables to NOT_DECLARED 
	for (i = 11; i < 52; i++) declared_flg[i] = NOT_DECLARED;
			
	last_char = '\0';
}

//********************** check_syntax method  ***********************
int var::check_syntax(char* string)
{
	int status = SUCCESS;
	int len;
	int var_index;
	char *ptr, *ptr1;
	char var;
	boolean more_to_follow = TRUE;

	ptr1 = string;
	ptr = strchr(ptr1,',');
	if (ptr == NULL)
	{
		len = strlen(string);
		if(len == 4)
		{
			var = string[3];
			//determine the variable index of the new variable
			status = interpret.set_var_index(var,var_index);

			if(status == SUCCESS || status == UNDEFINED)
			{
				vars.declared_flg[var_index] = VAR_DECLARED;
				status = SUCCESS; 
			}
		}
		else status = TOO_MANY_CHAR;
	}
	else
	{
		while (more_to_follow && status == SUCCESS)
		{
			if((ptr - ptr1) > 1)status = TOO_MANY_CHAR;
			else
			{
				var = ptr[-1];
				//determine the variable index of the new variable
				status = interpret.set_var_index(var,var_index);
				if(status == SUCCESS || status == UNDEFINED)
				{
					vars.declared_flg[var_index] = VAR_DECLARED;
					status = SUCCESS; 
				}
				ptr1 = ptr+1;
				ptr = strchr(ptr1,',');
				if(ptr == NULL)
				{
					more_to_follow = FALSE;
					len = strlen(ptr1);
					if(len == 1)
					{
						var = ptr1[0];
					//determine the variable index of the new variable
						status = interpret.set_var_index(var,var_index);
						if(status == SUCCESS || status == UNDEFINED)
						{
							vars.declared_flg[var_index] = VAR_DECLARED;
							status = SUCCESS; 
						}
					} //end of if(len == 1)
					else status = TOO_MANY_CHAR;
				} // end of if(ptr == NULL)
			} //end of else
		} //  end of while
	} // end of else
	return status;
};  //end of function

//********************** execute method  ***********************
void var::execute(void)
{ 
};



