
import java.io.*;
/**
 * Read File .
 * 
 */
public class FileProcessor extends java.lang.Object {
 BufferedReader reader = null;
 String currentLine = null;

/**
 * Default constructor.
 */
public FileProcessor () {
}
/**
 * Open processor on a path.
 * @param aFilePathString java.lang.String
 */
public FileProcessor (java.lang.String aFilePathString) {
	
	this.open(aFilePathString);
	
}
/**
 * Close file reader.
 */
public void close () {
	try{
	reader.close();}
	catch (IOException e) {System.out.println(e); }
	return;
}
/**
 * Create Reader for a FilePath
 * @param aFileName java.lang.String
 */
public void open (String aFilePathString) {
	try{
	reader = new BufferedReader(new FileReader(aFilePathString));}
	catch (FileNotFoundException e) {System.out.println("File not found "+e);}
	return;
}
/**
 * Read line return line of null if EOF encountered
 * @return java.lang.String
 */
public String read() {
	try { currentLine = reader.readLine();}
	catch( IOException e) {System.out.println(e);}	

	return currentLine;
}
}
