
/**
 * Implements simple pattern match
 * 
 */
public class GrepSimplePattern extends GrepVisitor {

/**
 * Return true if current line contains pattern
 * @return boolean
 */
public boolean match() {
	
	 if (subject.processor.currentLine.toUpperCase().indexOf( subject.pattern.toUpperCase() ) > 0){ return true; }		

	return false;
}
/**
 * Output file, linenumber and line to console.
 */
public void report() {
	String printString;

	printString = subject.currentFileName+"("+subject.lineNumber+") - "+subject.processor.currentLine;

	System.out.println(printString);
	return;
}
}
