

/**
 * Abstract Grep Visitor, subject is object type that will be 
 * visited.
 * 
 */
public abstract class GrepVisitor extends java.lang.Object {
 Grep subject;

/**
 * Subclass responsibility
 * @return boolean
 */
public abstract boolean match();
/**
 * Subclass responsibility.
 * @return boolean
 */
public abstract void report();
/**
 * Perform matching and report operations for a visitor.
 * @param anObject grep.Grep
 */
public void visit (Grep anObject) {
	subject = (Grep) anObject;
	if (match())
		{ report(); }
	
	return;
}
}
